<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0001Usr2EditViewBase from './ibizsample0001-usr2-edit-view-base.vue';

import view_form from '@widgets/ibizsample0001/main3-2-form/main3-2-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0001Usr2EditView extends IBIZSample0001Usr2EditViewBase {

}
</script>